Debian Bug report logs - #533846
live-helper: grab menu binary file name from alternate syslinux.cfg if LH_SYSLINUX_CFG specified

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Alexander Galanin <gaa.nnov@mail.ru>

Date: Sat, 20 Jun 2009 20:54:04 UTC

Severity: wishlist

Tags: patch

Found in version live-helper/1.0.4-1

Fixed in version live-helper/1.0.6-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, gaa.nnov@mail.ru, Debian Live <debian-live@lists.debian.org>:
Bug#533846; Package live-helper. (Sat, 20 Jun 2009 20:54:06 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Alexander Galanin <gaa.nnov@mail.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: grab menu binary file name from alternate syslinux.cfg if LH_SYSLINUX_CFG specified
Date: Sun, 21 Jun 2009 00:51:17 +0400
Package: live-helper
Version: 1.0.4-1
Severity: wishlist
Tags: patch

The following patch modifies lh_binary_syslinux to grab menu binary file
from $LH_SYSLINUX_CFG file if specified. This allows to specify menu.c32
in syslinux configuration file instead of vesamenu.c32.

--- lh_binary_syslinux.orig     2009-06-21 00:28:15.000000000 +0400
+++ /usr/bin/lh_binary_syslinux 2009-06-21 00:48:18.000000000 +0400
@@ -180,7 +180,13 @@
                cp "${TEMPLATES}"/menu/* ${SCREEN_PATH}
 
                # Grab menu binary
-               MENUMODULE=$(grep 'menu.c32' ${TEMPLATES}/menu/syslinux.cfg | sed 's|default\s*.*/\(.*menu.c32\)$|\1|g')
+               if [ -n "$LH_SYSLINUX_CFG" ]
+               then
+                       FILE="$LH_SYSLINUX_CFG"
+               else
+                       FILE=${TEMPLATES}/menu/syslinux.cfg
+               fi
+               MENUMODULE=$(grep 'menu.c32' "$FILE" | sed 's|default\s*.*/\(.*menu.c32\)$|\1|g')
                case "${LH_CHROOT_BUILD}" in
                        enabled)
                                cp chroot/usr/lib/syslinux/"${MENUMODULE}" ${DATA_PATH}

-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/1 CPU core)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  debootstrap                 1.0.10lenny1 Bootstrap a basic Debian system

Versions of packages live-helper recommends:
ii  gettext-base                  0.17-6     GNU Internationalization utilities

Versions of packages live-helper suggests:
ii  dosfstools                 3.0.3-1       utilities for making and checking 
ii  fakeroot                   1.12.2        Gives a fake root environment
ii  genisoimage                9:1.1.9-1     Creates ISO-9660 CD-ROM filesystem
ii  grub                       0.97-53       GRand Unified Bootloader (Legacy v
ii  memtest86                  3.5-2         thorough real-mode memory tester
ii  mtd-utils [mtd-tools]      20090606-1    Memory Technology Device Utilities
ii  mtools                     4.0.10-1      Tools for manipulating MSDOS files
pn  parted                     <none>        (no description available)
ii  squashfs-tools             1:3.3-7       Tool to create and append to squas
ii  sudo                       1.7.0-1       Provide limited super user privile
ii  syslinux                   2:3.81+dfsg-1 utilities for the syslinux bootloa
ii  uuid-runtime               1.41.3-1      universally unique id library
pn  win32-loader               <none>        (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#533846; Package live-helper. (Tue, 20 Oct 2009 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 20 Oct 2009 15:21:03 GMT) Full text and rfc822 format available.

Message #8 received at 533846@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 533846-submitter@bugs.debian.org
Cc: 533846@bugs.debian.org
Subject: Re: live-helper: grab menu binary file name from alternate syslinux.cfg if LH_SYSLINUX_CFG specified
Date: Tue, 20 Oct 2009 16:17:46 +0200
tag 533846 pending
thanks

implemented differently but with same effect in git.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/





Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 20 Oct 2009 15:21:05 GMT) Full text and rfc822 format available.

Message sent on to Alexander Galanin <gaa.nnov@mail.ru>:
Bug#533846. (Tue, 20 Oct 2009 15:21:07 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sun, 15 Nov 2009 16:51:11 GMT) Full text and rfc822 format available.

Notification sent to Alexander Galanin <gaa.nnov@mail.ru>:
Bug acknowledged by developer. (Sun, 15 Nov 2009 16:51:11 GMT) Full text and rfc822 format available.

Message #18 received at 533846-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 533846-close@bugs.debian.org
Subject: Bug#533846: fixed in live-helper 1.0.6-1
Date: Sun, 15 Nov 2009 16:47:40 +0000
Source: live-helper
Source-Version: 1.0.6-1

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_1.0.6-1.diff.gz
  to main/l/live-helper/live-helper_1.0.6-1.diff.gz
live-helper_1.0.6-1.dsc
  to main/l/live-helper/live-helper_1.0.6-1.dsc
live-helper_1.0.6-1_all.deb
  to main/l/live-helper/live-helper_1.0.6-1_all.deb
live-helper_1.0.6.orig.tar.gz
  to main/l/live-helper/live-helper_1.0.6.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 533846@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 15 Nov 2009 17:16:19 +0100
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 1.0.6-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live build scripts
Closes: 527331 533846 546910
Changes: 
 live-helper (1.0.6-1) unstable; urgency=medium
 .
   [ Daniel Baumann ]
   * Updating lenny point release number.
   * Settinglosetup-lukshome example hook executable bit again.
   * Adding kernelpurge example hook to remove all kernel images except
     the newest one.
   * Making replace-di-banner hook to not fail when no d-i is included in
     the image.
   * Allowing to overwrite default gzip options through config switch or
     option.
 .
   [ Cody A.W. Somerville ]
   * Unify bootloader helpers.
   * Only add available install frontend boot entries.
 .
   [ Daniel Baumann ]
   * Automatically optaining version number for config tree format.
   * Updating presubj text for reportbug.
   * Correcting install calls for reportbug files in rules.
   * Adding console-setup to standard package list.
   * Adding gfortran and gnat to rescue list.
   * Updating debian-live snapshots repository entries.
   * Adding live snapshots repository gpg key.
   * Updating debian-backports example sources for lenny.
   * Removing old beryl source repository example.
   * Removing old fai source repository example.
   * Removing old debian-edu source repository example.
   * Updating git snapshot repository in image autobuild script.
   * Respecting /etc/hostname in case it's part of chroot_local-includes,
     thanks to Luigi Capriotti <l.capriotti@xbmc.org> for the idea.
   * Updating kde-core package list for squeeze/sid, thanks to Diederik
     de Haas <didi.debian@cknow.org>.
   * Adding mailutils to rescue list.
   * Updating conditionals in package lists for squeeze.
   * Updating debian-forensics packages list.
   * Updating vcs fields.
   * Using pre-cached bootstrap stage, if available, in order to build
     chroot image which dramatically speads up building of large images.
   * Returning error value of the last process before exiting (Closes:
     #527331).
   * Allow to enforce syslinux menu module through LH_SYSLINUX_MENU.
   * Respecting (possibly) customized LH_SYSLINUX_CFG when autodecting
     syslinux menu module (Closes: #533846).
   * Deprecating all dashed forms of commands.
   * Giving message to users that lh_config is actually doing something.
   * Avoid showing 'dashed commands are deprecated' warning more than one
     within lh_clean.
   * Updating distribution release information.
   * Allow to overload global functions with local functions stored in
     the config tree at scripts/functions.
   * Also actually creating the functions directory in lh_config.
   * Correcting conditional reading of local functions.
   * Correcting spelling typo in a previous changelog entry to please
     lintian.
   * Fixing nroff formatting error in lh_config manpage.
   * Updating to debhelper 7.
   * Updating to standards version 3.8.3.
   * Don't use dh_clean in favour of dh_prep.
   * Fixing another nroff formatting error in lh_config manpage.
   * Updating defaults of linux packages for sid (>= 2.6.31).
 .
   [ Rui Miguel Bernardo ]
   * Correcting apt pinning support.
 .
   [ Daniel Baumann ]
   * Merging initial and experimental grub2 support from Luigi Capriotti
     <l.capriotti@xbmc.org>.
   * Adding check for config tree version and fail or give warnings if
     the version doesn't match.
 .
   [ Karl Goetz ]
   * Adding missing exit 1 in the archtiecture detection case.
   * Correcting comment about replacing /dev/urandom with /dev/random.
   * Replacing all -ge with -gt checks for string max lenghts of iso meta
     information.
   * Correcting spelling type in 'wrong config tree version' error
     message.
   * Rewording some of the error messages in Check_defaults().
 .
   [ Daniel Baumann ]
   * Fixing regression imported by fixing #533846 incorrectly.
   * Correcting pathes in include statements when building netboot images
     (Closes: #546910).
   * Correctly replacing pathes in exithelp.cfg for returning back to
     syslinux menu.
   * Adjusting pathes for boot-screens in netboot images.
   * Escaping variables in binary.sh of lh_binary_iso, thanks to Luigi
     Capriotti <l.capriotti@xbmc.org>.
   * Simplyfing chroot copying in lh_binary_chroot.
   * Tidy helper calls before and after switching chroot filesystem in
     lh_binary_rootfs to not leave certain helpers activated at the end
     of the build, thanks to Luigi Capriotti <l.capriotti@xbmc.org>.
   * Adding patch from Dusty Hendrickson <dhendrickson@cleversafe.com> to
     allow lh_bootstrap_debootstrap to bootstrap from different section
     than main and evaluate LH_CATEGORIES for that purpose.
   * Adding example hook from Rui Miguel Bernardo
     <rui.bernardo.pt@gmail.com> for bugfixing cdrom-detect when using
     live-installer in lenny.
   * Renaming example hooks and prefixing them with distribution name.
 .
   [ Cody A.W. Somerville ]
   * Omit numbering for first kernel and initrd installed into binary.
   * Fixing intermittent truncating of filesystem.
   * Correcting LH_BOOTAPPEND_INSTALL default values.
 .
   [ Daniel Baumann ]
   * Giving conditional message in lh_config when creating or updating
     the config tree.
   * Respecting that etch has no prompt.cfg in netboot images.
   * Adding syslinux hardcoded default label entries.
   * Adding another workaround for etchs syslinux generation to manually
     treat live.cfg.
   * Only adding hardcoded fallback syslinux label when not using neither
     vesamenu nor gfxboot.
   * Removing newline in f8.txt.install syslinux template.
   * Removing newline in f6.txt syslinux template.
Checksums-Sha1: 
 a94b3783e5cf54405ed1e8e49f5fa15272bc1935 1225 live-helper_1.0.6-1.dsc
 2e507162e25716555e0f12c109792d29e16ab5cb 9492488 live-helper_1.0.6.orig.tar.gz
 d1da09e5672c7548890ca991748b1d9321e463bc 29293 live-helper_1.0.6-1.diff.gz
 81bc2fb9ebb0f79dbd48751d3bbd8496331d38f4 2917158 live-helper_1.0.6-1_all.deb
Checksums-Sha256: 
 3db4e422909a7dbe6660ecc35bcabf57d7cb5e2d962bd4258d232b4f3eda4670 1225 live-helper_1.0.6-1.dsc
 9ea19b721cedf0203b72a158126c414285373e2b40b598df78103988d5dc1430 9492488 live-helper_1.0.6.orig.tar.gz
 784218feec29229431977950b97c10363e57753497351ddfbca59bad4538d834 29293 live-helper_1.0.6-1.diff.gz
 d7bef1cff53ae32e4dde85f04b282375adcb804674f657b15d914b591e067c2d 2917158 live-helper_1.0.6-1_all.deb
Files: 
 babffeb7816c56f1e524c202d9110831 1225 misc optional live-helper_1.0.6-1.dsc
 f34fc8aae7a2b1e1fc4b802e6b61e73f 9492488 misc optional live-helper_1.0.6.orig.tar.gz
 241d013a648e2929931a4d8c7034419b 29293 misc optional live-helper_1.0.6-1.diff.gz
 44926edb17215b64b1240dd904aa9c17 2917158 misc optional live-helper_1.0.6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAksALCUACgkQ+C5cwEsrK56obQCeI7qLUICzMNjcUP/EkNDu8jMT
4ysAoLxRV2f6YaT8uKHJ20sSBnSY1+fn
=zIW0
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 21 Dec 2009 07:42:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:35:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.